Bug 472179 - (perl-Test-Block) Review Request: perl-Test-Block - Specify fine granularity test plans
Review Request: perl-Test-Block - Specify fine granularity test plans
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Test-Block
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 02:51 EST by Chris Weyl
Modified: 2008-11-23 02:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 02:56:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-19 02:51:17 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-Block.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-Block-0.11-1.fc9.src.rpm

Description:
This module allows you to specify the number of expected tests at a finer
level of granularity than an entire test script. It is built with
Test::Builder and plays happily with Test::More and friends.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=939474
Comment 1 Chris Weyl 2008-11-19 02:51:54 EST
This package is a dependency of App::Asciio.
Comment 2 Parag AN(पराग) 2008-11-19 04:28:34 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=939616
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
386a722947f2c77f6157d1dea0338e35  Test-Block-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=26,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.19 cusr  0.02
csys =  0.24 CPU)

+ Package Package perl-Test-Block-0.11-1.fc11
  Provides: perl(Test::Block) = 0.11 perl(Test::Block::Plan)
  Requires: perl(Carp) perl(Scalar::Util) perl(Test::Builder) perl(Tie::Scalar)
perl(base) perl(overload) perl(strict) perl(warnings)

APPROVED.
Comment 3 Chris Weyl 2008-11-19 11:31:03 EST
New Package CVS Request
=======================
Package Name: perl-Test-Block
Short Description: Specify fine granularity test plans
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-11-22 23:26:36 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.